<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.15"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>My Project: Member List</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">My Project
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.15 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

</div><!-- top -->
<div class="header">
  <div class="headertitle">
<div class="title">ArgTable Member List</div>  </div>
</div><!--header-->
<div class="contents">

<p>This is the complete list of members for <a class="el" href="classArgTable.html">ArgTable</a>, including all inherited members.</p>
<table class="directory">
  <tr bgcolor="#f0f0f0" class="even"><td class="entry"><b>addDate</b>(std::string name, std::string shortopts, std::string longopts, std::string glossary) (defined in <a class="el" href="classArgTable.html">ArgTable</a>)</td><td class="entry"><a class="el" href="classArgTable.html">ArgTable</a></td><td class="entry"></td></tr>
  <tr bgcolor="#f0f0f0"><td class="entry"><b>addDouble</b>(std::string name, std::string shortopts, std::string longopts, std::string glossary) (defined in <a class="el" href="classArgTable.html">ArgTable</a>)</td><td class="entry"><a class="el" href="classArgTable.html">ArgTable</a></td><td class="entry"></td></tr>
  <tr bgcolor="#f0f0f0" class="even"><td class="entry"><b>addFile</b>(std::string name, std::string shortopts, std::string longopts, std::string glossary) (defined in <a class="el" href="classArgTable.html">ArgTable</a>)</td><td class="entry"><a class="el" href="classArgTable.html">ArgTable</a></td><td class="entry"></td></tr>
  <tr bgcolor="#f0f0f0"><td class="entry"><b>addInt</b>(std::string name, std::string shortopts, std::string longopts, std::string glossary) (defined in <a class="el" href="classArgTable.html">ArgTable</a>)</td><td class="entry"><a class="el" href="classArgTable.html">ArgTable</a></td><td class="entry"></td></tr>
  <tr bgcolor="#f0f0f0" class="even"><td class="entry"><b>addLit</b>(std::string name, std::string shortopts, std::string longopts, std::string glossary) (defined in <a class="el" href="classArgTable.html">ArgTable</a>)</td><td class="entry"><a class="el" href="classArgTable.html">ArgTable</a></td><td class="entry"></td></tr>
  <tr bgcolor="#f0f0f0"><td class="entry"><b>addString</b>(std::string name, std::string shortopts, std::string longopts, std::string glossary, int min, int max) (defined in <a class="el" href="classArgTable.html">ArgTable</a>)</td><td class="entry"><a class="el" href="classArgTable.html">ArgTable</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classArgTable.html#aab91f2cad24387f6c8d14525323a46c4">ArgTable</a>()</td><td class="entry"><a class="el" href="classArgTable.html">ArgTable</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classArgTable.html#aa5328ed494091f6118a50248bf48ee31">parse</a>(int argc, char *argv[])</td><td class="entry"><a class="el" href="classArgTable.html">ArgTable</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classArgTable.html#aec91d700dc0ffb3408074f3c87c78631">printErrors</a>(FILE *fp, std::string progName=&quot;&quot;)</td><td class="entry"><a class="el" href="classArgTable.html">ArgTable</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classArgTable.html#a61e85b248b376b0464d2164b1ed4ee38">~ArgTable</a>()</td><td class="entry"><a class="el" href="classArgTable.html">ArgTable</a></td><td class="entry"></td></tr>
</table></div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.15
</small></address>
</body>
</html>
